import { useState } from 'react';
import { IconButton, Tooltip } from '@mui/material';
import { Palette } from '@mui/icons-material';
import { useThemeStore } from '../stores/themeStore';
import { ColorPicker } from './ColorPicker';

export function ColorPickerButton() {
  const [open, setOpen] = useState(false);
  const { primaryColor } = useThemeStore();

  return (
    <>
      <Tooltip title="Change theme color">
        <IconButton
          onClick={() => setOpen(true)}
          sx={{
            position: 'relative',
            '&::after': {
              content: '""',
              position: 'absolute',
              bottom: 2,
              right: 2,
              width: 12,
              height: 12,
              borderRadius: '50%',
              bgcolor: primaryColor,
              border: 1,
              borderColor: 'background.paper',
            },
          }}
        >
          <Palette />
        </IconButton>
      </Tooltip>
      <ColorPicker open={open} onClose={() => setOpen(false)} />
    </>
  );
}