import { gql } from '@apollo/client';

export const GET_GROUPS = gql`
  query GetGroups {
    groups {
      id
      name
      tasks {
        id
        name
        print_count
        last_printed_at
        steps {
          id
          name
          instructions
          order
          print_count
          last_printed_at
          notes {
            id
            content
            created_at
            user {
              id
              name
            }
          }
        }
      }
    }
  }
`;

export const GET_TASKS = gql`
  query GetTasks($groupId: ID!) {
    tasks(groupId: $groupId) {
      id
      name
      print_count
      last_printed_at
      steps {
        id
        name
        instructions
        order
        print_count
        last_printed_at
        notes {
          id
          content
          created_at
          user {
            id
            name
          }
        }
      }
    }
  }
`;

export const GET_STEP = gql`
  query GetStep($id: ID!) {
    step(id: $id) {
      id
      name
      instructions
      order
      print_count
      last_printed_at
      notes {
        id
        content
        created_at
        user {
          id
          name
        }
      }
    }
  }
`;

export const GET_USERS = gql`
  query GetUsers {
    users {
      id
      name
    }
  }
`;

export const GET_RECENT_TASKS = gql`
  query GetRecentTasks {
    recentTasks {
      id
      name
      group_id
      print_count
      last_printed_at
      steps {
        id
        name
        instructions
        order
        print_count
        last_printed_at
      }
    }
  }
`;

export const GET_FREQUENT_TASKS = gql`
  query GetFrequentTasks {
    frequentTasks {
      id
      name
      group_id
      print_count
      last_printed_at
      steps {
        id
        name
        instructions
        order
        print_count
        last_printed_at
      }
    }
  }
`;