import { Image, Printer } from "@node-escpos/core";
import USB from "@node-escpos/usb-adapter";
import { join } from "path";

async function printImage(path: string) {
  const device  = new USB();
  await new Promise<void>((resolve,reject) => {
    device.open(async function(err){
      if(err){
        reject(err);
        return
      }

      let printer = new Printer(device, {});

      const tux = path; // join(__dirname, '../assets/tux.png');
      const image = await Image.load(tux);

      // inject image to printer
      printer = await printer.image(image, "d24")

      printer
        .cut()
        .close()
        .finally(resolve)
    });
  });
}

console.log(process.argv);

printImage(process.argv[2] || join(__dirname, 'tux.png'))
  .then(() => console.log('done'))
  .catch((err) => console.error(err));

