import { Knex } from 'knex';
import { BaseRepository } from './base-repository';
import { Note } from '@shared/index';

export class NoteRepository extends BaseRepository<Note> {
  constructor(db: Knex) {
    super(db, 'notes');
  }

  async findByTaskId(taskId: number): Promise<Note[]> {
    return await this.db(this.tableName)
      .where('task_id', taskId)
      .select('*');
  }

  async findByStepId(stepId: number): Promise<Note[]> {
    return await this.db(this.tableName)
      .where('step_id', stepId)
      .select('*');
  }
}