import { Step } from '@shared/index';

describe('Step Data Debug', () => {
  it('should test step data structure', () => {
    // Test with sample step data that matches the database
    const step: Step = {
      id: 10,
      name: 'Counter',
      instructions: 'Was hit',
      task_id: 20,
      order: 1,
      print_count: 9,
      created_at: new Date('2025-06-15T01:55:41.121Z'),
      updated_at: new Date('2025-06-15T01:55:41.121Z'),
    };

    console.log(`Step ${step.id}:`);
    console.log(`  name: "${step.name}"`);
    console.log(`  instructions: "${step.instructions}"`);
    console.log(`  task_id: ${step.task_id}`);
    console.log(`  order: ${step.order}`);
    console.log(`  print_count: ${step.print_count}`);
    console.log(`  created_at: ${step.created_at}`);
    console.log(`  updated_at: ${step.updated_at}`);

    expect(step.instructions).toBe('Was hit');
    expect(typeof step.instructions).toBe('string');
  });

  it('should test step data with different instructions', () => {
    const step: Step = {
      id: 11,
      name: 'Sink',
      instructions: 'asdf',
      task_id: 20,
      order: 2,
      print_count: 2,
      created_at: new Date('2025-06-15T01:55:46.466Z'),
      updated_at: new Date('2025-06-15T01:55:46.466Z'),
    };

    console.log(`Step ${step.id}:`);
    console.log(`  name: "${step.name}"`);
    console.log(`  instructions: "${step.instructions}"`);
    console.log(`  task_id: ${step.task_id}`);
    console.log(`  order: ${step.order}`);

    expect(step.instructions).toBe('asdf');
    expect(typeof step.instructions).toBe('string');
  });
});